<?php
/**
* Analyses parsing data.
*
* Analyse means:
*   - update @brother/@sister
*   - update @access/@return
*   - inherit elements
*   - inherit information
*
*/
class PhpdocAnalyser extends PhpdocObject {

	/**
	* Flag indicating that getModule/getClass was called.
	* @var	boolean
	*/
	var $flag_get	= false;	
	
	/**
	* Starts the analysing of the raw parsing data.
	*
	* @access	public
	* @abstract
	*/	
	function analyse() {
	} // end func analyse
	
	/**
	* Handles @brother and @sister.
	* @abstract
	* @see	updateBrotherSister
	*/	
	function updateBrothersSisters() {
	} // end func updateBrothersSisters
	
	/**
	* Updates certain elements that use @brother and @sister.
	* 
	* @return	boolean	$ok
	*/
	function updateBrotherSisterElements() {
		return false;
	} // end func updateBrotherSisterElements
	
	/**
	* Updates the @access and @return tag values.
	* 
	* @see	updateAccessReturnElements(), updateAccessElements()
	* @abstract
	*/
	function updateAccessReturn() {
	} // end func updateAccessReturn
	
	/**
	* Updates @access and @return for certain elements.
	* 
	* This function should only be used to update functions.
	* Functions that have the same name as the class (constructors)
	* get @return void and @access public. Functions without 
	* @access get @access public and functions without @return get
	* @return void.
	* 
	* @return	boolean	$ok
	* @see		updateAccessReturn()
	* @abstract
	*/
	function updateAccessReturnElements() {
		return false;
	} // end func updateAccessReturnElements

	/**
	* Updates @access tags.
	*
	* @see	updateAccessReturnElements()
	* @abstract
	*/
	function updateAccessElements() {
	} // end func updateAccessElements
	
} // end func PhpdocAnalyser
?>